# CairoImageSurface::getData

(PECL cairo >= 0.1.0)

CairoImageSurface::getData — Gets the image data as string

### Description

public CairoImageSurface::getData ( void ) : string

Returns the image data of this surface or NULL if surface is not an image surface, or if CairoContext::finish(), procedural : cairo_surface_finish(), has been called.

### Parameters

This function has no parameters.

### Return Values

The image data as string

### Examples

Example #1 CairoImageSurface::getData() example

`<?php
/* ... */
?>`

The above example will output something similar to:

    ...

### See Also

- CairoImageSurface::getStride() - The getStride purpose